Module org.hsqldb
Package org.hsqldb.lib

## Class FileArchiver

- java.lang.Object
- - org.hsqldb.lib.FileArchiver

-     public class FileArchiver
      extends java.lang.Object

  Creates a direct, compressed or decompressed copy of a file.
  Since:
    1.9.0
  Author:
    Blaine Simpson (blaine dot simpson at admc dot com)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `COMPRESSION_GZIP` |
    `static int` | `COMPRESSION_NONE` |
    `static int` | `COMPRESSION_ZIP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileArchiver()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `archive​(java.lang.String infilename, java.lang.String outfilename, FileAccess storage, int compressionType)` |
    `static void` | `copyFile​(java.lang.String infilename, java.lang.String outfilename, FileAccess storage)` |
    `static void` | `unarchive​(java.lang.String infilename, java.lang.String outfilename, FileAccess storage, int compressionType)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPRESSION_NONE

          public static final int COMPRESSION_NONE

      See Also:
        Constant Field Values

    - #### COMPRESSION_ZIP

          public static final int COMPRESSION_ZIP

      See Also:
        Constant Field Values

    - #### COMPRESSION_GZIP

          public static final int COMPRESSION_GZIP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FileArchiver

          public FileArchiver()

  - ### Method Detail

    - #### copyFile

          public static void copyFile​(java.lang.String infilename,
                                      java.lang.String outfilename,
                                      FileAccess storage)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### archive

          public static void archive​(java.lang.String infilename,
                                     java.lang.String outfilename,
                                     FileAccess storage,
                                     int compressionType)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### unarchive

          public static void unarchive​(java.lang.String infilename,
                                       java.lang.String outfilename,
                                       FileAccess storage,
                                       int compressionType)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`